Package org.eclipse.graphiti.features.impl

# Class UpdateNoBoFeature

java.lang.Object
org.eclipse.graphiti.features.impl.AbstractFeature
org.eclipse.graphiti.features.impl.AbstractUpdateFeature
org.eclipse.graphiti.features.impl.UpdateNoBoFeature

All Implemented Interfaces:
  `IFeature`, `IFeatureProviderHolder`, `IUpdateFeature`, `IUpdate`, `IDescription`, `IName`

public class UpdateNoBoFeature extends AbstractUpdateFeature
The Class UpdateNoBoFeature. An update feature, which marks a pictogram element without a linked business object as "update needed". On "update" such a pictogram element is deleted.

## Constructor Summary

Constructors
Constructor
Description
`UpdateNoBoFeature(IFeatureProvider fp)`
Creates a new `UpdateNoBoFeature`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canUpdate(IUpdateContext context)`
Checks whether the values of the current pictogram element of the given context can be updated.
`boolean`
`update(IUpdateContext context)`
Updates the pictogram element.
`IReason`
`updateNeeded(IUpdateContext context)`
Check whether the values in the pictogram element are up to date, that means whether the graphics algorithm of this pictogram element contain the latest values from the business objects.

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractUpdateFeature

`canExecute, canUpdatePictogramElement, execute, getDescription, getName, resizeShape, updatePictogramElement, updatePictogramElementNeeded`

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`addGraphicalRepresentation, canUndo, getAllBusinessObjectsForPictogramElement, getBusinessObjectForPictogramElement, getDiagram, getDiagramBehavior, getFeatureProvider, getProgressCallback, getUserDecision, hasDoneChanges, isAvailable, layoutPictogramElement, link, link, manageColor, manageColor, manageDefaultFont, manageFont, manageFont, setProgressCallback, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

## Constructor Details

### UpdateNoBoFeature

public UpdateNoBoFeature(IFeatureProvider fp)
Creates a new `UpdateNoBoFeature`.

Parameters:
  `fp` - the feature provider

## Method Details

### canUpdate

public boolean canUpdate(IUpdateContext context)
Description copied from interface: `IUpdate`
Checks whether the values of the current pictogram element of the given context can be updated.

Parameters:
  `context` - the context
Returns:
  true if update is possible

### updateNeeded

public IReason updateNeeded(IUpdateContext context)
Description copied from interface: `IUpdate`
Check whether the values in the pictogram element are up to date, that means whether the graphics algorithm of this pictogram element contain the latest values from the business objects.

Parameters:
  `context` - the context
Returns:
  true if parts of the pictogram model needs to be updated with the latest values from the business model

### update

public boolean update(IUpdateContext context)
Description copied from interface: `IUpdate`
Updates the pictogram element. It copies the latest values from the business model to the graphics algorithm of this pictogram elements.

Parameters:
  `context` - the context
Returns:
  true, if update process was successfull